/* ALL RIGHTS RESERVED  2005 Polaris8920, BYOND and DanTom.

This is demo/library. You are free to include any of its contents
in your projects. Its contents are not for usage in your own library
demo unless credit is given where credit is due. You may not claim it
as your own or imply it as your own in any way. If you do include it
in you own project, please give credit to Polaris8920 where credit
for this project is due. Credit is not due, if you use this as an
idea for your system, but if you use this and modify it, credit would
still greatly be appreciated.

    ~ Polaris8920

Any #defines that I haven't defined use the default. To find the
defaults look in the System code files.
*/


/*#define BASE_LOGIN_MESSAGE(mob)
	This is the login message that the system will tell the world when a
	new player enters the world. Set this to return null and it won't tell
	the world anything.

#define BASE_LOGOUT_MESSAGE(mob)
	This is the login message that the system will tell the world when a
	player leaves the world. Set this to return null and it won't tell
	the world anything.
*/

#define BASE_INC_HOST 1
/*
	This can be set to 1 to include some basic host verbs and functions such
	as booting and banning keys.
*/

/*#define BASE_BOOT_CSS ""
	This is the CSS used in the host Boot() verb. The custom classes are:
		.title
		.mob
		.close
#define BASE_BAN_CSS ""
	This is the CSS used in the host Ban() and UnBan() verb. The custom
	classes are:
		.title
		.mob
		.close
*/

#define BASE_INC_SAY 1
//This is a basic Say() verb, it includes Private Messaging.

/*#define BASE_PM_LINKCOLOUR
	This is the colour of the Private Messaging text. Takes a hexadecimal
	colour.
#define BASE_PM_LINK
	This is the text in front of the player's output from the Say() verb so
	that other players can click on it to Private Message the player. Takes
	text.
#define BASE_SAY_FORM(mob,text)
	This is a macro that takes a mob and text and returns what it should
	look like when the player said that.
*/

#define BASE_INC_WHO 1
//This can be set to 1 to include a Who() verb.

/*#define BASE_WHO_FORM(mob)
	This is a macro that takes a mob and returns it as part of a text
	string to be outputted to a player using the Who() verb.
*/
#define BASE_INC_WHOIS 1
/*This can be set to 1 to include a Whois() verb that link the user to
	the player's people page or member page for members.*/

#define BASE_NO_DOUBLELOG 1
//This can be set to 1 to make sure players can't log in twice.

#define BASE_INC_ME 1
//This is the standard me() verb, set to 1 to include.

#define BASE_INC_BOT 1
/*When set to 1, this includes a "Bot" that can answer questions and
	greet players.*/

/*#define BASE_BOT_SAY(Text)
	This is a macro that takes text as an argument and returns what
	the world's bot would say using that text.

#define BASE_BOT_ANSWER_COLOUR ""
	This is a hexadecimal colour of what the bot would answer questions
	using.
*/

#define BASE_BOT_LOGINMESSAGE(mob) "Hello [mob]."
/*This a text macro that takes a mob as an argument and returns what the
	world's bot would say if the mob was a player joining the game.*/

#define BASE_INC_BOT_HELP 1
/*When this is on it includes the ability that allows players to ask the
	bot a question about the game perhaps.*/

/*
var/HelpBot/help_bot = new
	This is the world's help bot.
HelpBot //The bot datum.
	proc
		Get_Name() //Returns the name of the world's bot.
		Process_Help_Query(query as text, list/split)
			This is given a query and a list of split words that the
			player asked. It returns a possible answer or explination.
*/